### Property

# WebKit2 Settings:enable-media-stream

#### Declaration

    property enable-media-stream: gboolean [ read, write, construct ]

#### Description [src]

Enable or disable support for MediaStream on pages. MediaStream is an experimental proposal for allowing web pages to access audio and video devices for capture.

See also http://dev.w3.org/2011/webrtc/editor/getusermedia.html.

Type: | `gboolean`
Available since: | 2.4

Setter method | `webkit_settings_set_enable_media_stream()`
Getter method | `webkit_settings_get_enable_media_stream()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no